Top Description Fields Constructors Methods
org.bouncycastle.asn1.cms

public Class OriginatorInfo

extends ASN1Object
Class Inheritance
Imports
org.bouncycastle.asn1.ASN1EncodableVector, .ASN1Object, .ASN1Primitive, .ASN1Sequence, .ASN1Set, .ASN1TaggedObject, .DERSequence, .DERTaggedObject

RFC 5652: OriginatorInfo object.
RFC 3369:

OriginatorInfo ::= SEQUENCE {
    certs [0] IMPLICIT CertificateSet OPTIONAL,
    crls  [1] IMPLICIT CertificateRevocationLists OPTIONAL 
}
CertificateRevocationLists ::= SET OF CertificateList (from X.509)

RFC 3582 / 5652:

OriginatorInfo ::= SEQUENCE {
    certs [0] IMPLICIT CertificateSet OPTIONAL,
    crls  [1] IMPLICIT RevocationInfoChoices OPTIONAL
}
RevocationInfoChoices ::= SET OF RevocationInfoChoice
RevocationInfoChoice ::= CHOICE {
    crl CertificateList,
    other [1] IMPLICIT OtherRevocationInfoFormat }

OtherRevocationInfoFormat ::= SEQUENCE {
    otherRevInfoFormat OBJECT IDENTIFIER,
    otherRevInfo ANY DEFINED BY otherRevInfoFormat }

Todo

RevocationInfoChoices / RevocationInfoChoice. Constructor using CertificateSet, CertificationInfoChoices

Field Summary

Modifier and TypeField and Description
private ASN1Set
private ASN1Set

Constructor Summary

AccessConstructor and Description
public
private

Method Summary

Modifier and TypeMethod and Description
public ASN1Set
public ASN1Set
public static OriginatorInfo
getInstance(ASN1TaggedObject
the tagged object holding the object we want.
obj
,
boolean
true if the object is meant to be explicitly tagged false otherwise.
explicit
)

Return an OriginatorInfo object from a tagged object.

public static OriginatorInfo
getInstance(Object
the object we want converted.
obj
)

Return an OriginatorInfo object from the given object.

public ASN1Primitive
toASN1Primitive()

Implements abstract org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Implements org.bouncycastle.asn1.ASN1Encodable.toASN1Primitive.

Produce an object suitable for an ASN1OutputStream.

Inherited from org.bouncycastle.asn1.ASN1Object:
encodeToencodeToequalsgetEncodedgetEncodedhasEncodedTagValuehashCode

Field Detail

certsback to summary
private ASN1Set certs
crlsback to summary
private ASN1Set crls

Constructor Detail

OriginatorInfoback to summary
public OriginatorInfo(ASN1Set certs, ASN1Set crls)
OriginatorInfoback to summary
private OriginatorInfo(ASN1Sequence seq)

Method Detail

getCertificatesback to summary
public ASN1Set getCertificates()
getCRLsback to summary
public ASN1Set getCRLs()
getInstanceback to summary
public static OriginatorInfo getInstance(ASN1TaggedObject obj, boolean explicit)

Return an OriginatorInfo object from a tagged object.

Parameters
obj:ASN1TaggedObject

the tagged object holding the object we want.

explicit:boolean

true if the object is meant to be explicitly tagged false otherwise.

Exceptions
IllegalArgumentException:
if the object held by the tagged object cannot be converted.
getInstanceback to summary
public static OriginatorInfo getInstance(Object obj)

Return an OriginatorInfo object from the given object.

Accepted inputs:

Parameters
obj:Object

the object we want converted.

Exceptions
IllegalArgumentException:
if the object cannot be converted.
toASN1Primitiveback to summary
public ASN1Primitive toASN1Primitive()

Implements abstract org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

Implements org.bouncycastle.asn1.ASN1Encodable.toASN1Primitive.

Produce an object suitable for an ASN1OutputStream.

Returns:ASN1Primitive

Doc from org.bouncycastle.asn1.ASN1Object.toASN1Primitive.

a primitive representation of this object.